require "Docline\\MainDocline";
require "Docline\\CommonBorrowing";

function PopulateSearchAndSend()
	PopulateSearchForm();
	SubmitRequest();
end

function PopulateManualAndSend()
	PopulateManualForm();
	SubmitRequest();
end

if (OnPMIDSearchPage()) then
	RegisterPageHandler("title", "Docline PMID Order - Place Order", "PopulateSearchAndSend", true);
	SearchPMID();
elseif (OnPMIDOrderPage()) then
	PopulateSearchForm();
	SubmitRequest();
elseif (OnManualOrderPage()) then
	PopulateManualForm();
	SubmitRequest();
else
	RegisterPageHandler("title", "Docline PMID Order - Find a PMID", "SearchPMID", true);
	RegisterPageHandler("title", "Docline PMID Order - Place Order", "PopulateSearchAndSend", true);
	RegisterPageHandler("title", "Docline Manual Order - Place Order", "PopulateManualAndSend", true);
end