require "Docline\\MainDocline";
require "Docline\\CommonBorrowing";

--If on either of the pages, populate them, otherwise register the page handlers
if (OnPMIDSearchPage()) then
	RegisterPageHandler("title", "Docline PMID Order - Place Order", "PopulateSearchForm", true);
	SearchPMID();
elseif (OnPMIDOrderPage()) then
	PopulateSearchForm();
elseif (OnManualOrderPage()) then
	PopulateManualForm();
else
	RegisterPageHandler("title", "Docline PMID Order - Find a PMID", "SearchPMID", true);
	RegisterPageHandler("title", "Docline PMID Order - Place Order", "PopulateSearchForm", true);
	RegisterPageHandler("title", "Docline Manual Order - Place Order", "PopulateManualForm", true);
end